Subject: Re: Micrel Phy - Is there a way to configure the Phy not to do 802.3x flow control?

From: Andrew Lunn <[email-masked]>
Date: Thu, 3 Mar 2016 23:26:54 +0100

On Thu, Mar 03, 2016 at 05:18:38PM -0500, Murali Karicheri wrote:
> Hi,
> 
> We are using Micrel Phy in one of our board and wondering if we can force the
> Phy to disable flow control at start. I have a 1G ethernet switch connected
> to Phy and the phy always enable flow control. I would like to configure the
> phy not to flow control. Is that possible and if yes, what should I do in the
> my Ethernet driver to tell the Phy not to enable flow control?

Hi Murali

Have you played with:

       ethtool -a|--show-pause devname

       ethtool -A|--pause devname [autoneg on|off] [rx on|off] [tx on|off]

Andrew